#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include "config.h"
#include "xstr.h"

#ifndef HAVE_DOUBLE_T
typedef double_t double;
#endif

int main(int argc, char *argv[]) {
	if(argc != 3) {
		fprintf(stderr, "usage: %s n m \n", argv[0]);
		size_t size = sizeof(double_t);
		printf("datadir = %s\n",xstr(PKGDATADIR));
		printf("configure options = %s\n", CONF_OPT);
		printf("size of double_t = %lld\n", (long long) size);
		return 1;
	}

	double_t number1 = (double_t) atof(argv[1]);
	double_t number2 = (double_t) atof(argv[2]);
	printf("%lf %s %lf\n", (double) number1, isgreater(number1, number2) ? ">" : "<=", (double) number2);
	return 0;
}
